## Interface Swift_Mime_ContentEncoder

(line 21)

## Description

    Swift_Mime_CharsetObserver
       |
       --Swift_Encoder
          |
          --Swift_Mime_ContentEncoder

Located in File: /vendors/swiftMailer/classes/Swift/Mime/ContentEncoder.php

##### Interface for all Transfer Encoding schemes.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
void encodeByteStream (Swift_OutputByteStream $os, Swift_InputByteStream $is, [int $firstLineOffset = 0], [int $maxLineLength = 0])
string getName ()

#### Method encodeByteStream (line 31)

#### void encodeByteStream( Swift_OutputByteStream $os, Swift_InputByteStream $is, [int $firstLineOffset = 0], [int $maxLineLength = 0])

##### Encode $in to $out.

#### Parameters

- Swift_OutputByteStream $os: to read from
- Swift_InputByteStream $is: to write to
- int $firstLineOffset:
- int $maxLineLength: - 0 indicates the default length for this encoding

#### Info

- access - public

#### Method getName (line 39)

#### string getName( )

##### Get the MIME name of this content encoding scheme.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Encoder

#### Swift_Encoder::encodeString() - Encode a given string to produce an encoded string.

#### Inherited From Class Swift_Mime_CharsetObserver

#### Swift_Mime_CharsetObserver::charsetChanged() - Notify this observer that the entity's charset has changed.

Documentation generated on Fri, 12 Nov 2010 20:45:18 +0000 by phpDocumentor 1.4.3